La vulnerabilidad de MailPoet en WordPress afecta a casi 50.000 páginas

EmpresasSeguridadVirus
MailPoet

De nuevo la popularidad de Wordpress lo convierte en objetivo para los ataques. Esta vez el pluing MailPoet ha sido el responsable de dejar un resquicio de seguridad que se ha propagado a casi 50.000 páginas hasta la fecha.

El fallo de seguridad que afectaba al plugin de WordPress MailPoet, permite que pueda subirse un archivo al servidor sin que pase por los filtros de seguridad pertinentes. Haciendo uso de PHP, al introducirse en el sistema se propagaba por el mismo infectando todos los archivos PHP que pudiera.

De esta forma tan sencilla, aunque en un principio sólo afectaba a las páginas WordPress con MailPoet, al introducirse por ejemplo en un servidor compartido podía llegar a otros muchos más sistemas, aunque estos no usaran el plugin o ni siquiera WordPress. Esto explica que se haya visto el malware también en páginas con Joomla, Magento y otros CMS, llegando a infectar el sistema completo según su dependencia interna en ficheros PHP.

De hecho el fin último del malware es conseguir crear una cuenta “backdoor” que permita tener un control completo del sistema. Uno de los efectos secundarios de su propagación es el corromper algunos ficheros válidos inutilizando las webs. Encontrar el mensaje “Parse error: syntax error, unexpected ‘)’ in /home/user/public_html/site/wp-config.php on line 91.” puede ser un signo bastante claro de que el servidor está afectado.

Para evitar su propagación MailPoet ha solventado ya la vulnerabilidad, por lo que se recomienda encarecidamente que todos los que lo usen se actualicen a la versión 2.6.7. Desde que se descubrió el martes, se estima que entre 30.000 y 50.000 páginas han sido afectadas, una respuesta rápida puede evitar que la cifra aumente y se controle la situación.

Leer la biografía del autor  Ocultar la biografía del autor